import { Button, Result } from "ant-design-vue";
import { defineComponent } from "vue";
import { useRouter } from "vue-router";
export default defineComponent(() => {
  const router = useRouter();
  return () => (
    <div class={"pt-100px"}>
      <Result status="404" title="404" sub-title="对不起，您访问的页面不存在。">
        {{
          extra: () => {
            return (
              <Button
                type="primary"
                onClick={() => {
                  router.replace("/");
                }}
              >
                返回首页
              </Button>
            );
          },
        }}
      </Result>
    </div>
  );
});
